unit DaemonMapperUnit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, DaemonApp, log;

type

  { TDaemonMapper1 }

  TDaemonMapper1 = class(TDaemonMapper)
    procedure DaemonMapper1Create(Sender: TObject);
    procedure DaemonMapper1Destroy(Sender: TObject);
    procedure DaemonMapper1Install(Sender: TObject);
    procedure DaemonMapper1UnInstall(Sender: TObject);
    procedure DaemonMapper1Run(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  DaemonMapper1: TDaemonMapper1; 

implementation

Procedure RegisterMapper; 
begin
  RegisterDaemonMapper(TDaemonMapper1)
end;

{ TDaemonMapper1 }

procedure TDaemonMapper1.DaemonMapper1Create(Sender: TObject);
begin
  writelog('sys', 'Mapper', #9 + '0' + #9 + 'Create Mapper.');
end;

procedure TDaemonMapper1.DaemonMapper1Destroy(Sender: TObject);
begin
  writelog('sys', 'Mapper', #9 + '0' + #9 + 'Destroy Mapper.');
end;

procedure TDaemonMapper1.DaemonMapper1Install(Sender: TObject);
begin
  writelog('sys', 'Mapper', #9 + '0' + #9 + 'Install Mapper.');
end;

procedure TDaemonMapper1.DaemonMapper1UnInstall(Sender: TObject);
begin
  writelog('sys', 'Mapper', #9 + '0' + #9 + 'UnInstall Mapper.');
end;

procedure TDaemonMapper1.DaemonMapper1Run(Sender: TObject);
begin
  writelog('sys', 'Mapper', #9 + '0' + #9 + 'Running Mapper.');
end;

{$R *.lfm}


initialization
  RegisterMapper; 
end.

